#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
#
# 2022-11-30: fixed CheckParameterRulespecWithoutItem (from CheckParameterRulespecWithItem)
# 2023-05-29: moved to ~/local/lib7check_mk/gui/plugins/wato
#

from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    Tuple,
    Integer,
)
from cmk.gui.plugins.wato.utils import (
    CheckParameterRulespecWithoutItem,
    rulespec_registry,
    RulespecGroupCheckParametersNetworking,
)


def _parameter_valuespec_checkpoint_eva_db():
    return Dictionary(
        elements=[
            ('levels_db_size_percent',
             Tuple(
                 title=_('Levels for Database space used'),
                 elements=[
                     Integer(title=_('Warning at'), default_value=80, unit=_('%')),
                     Integer(title=_('Critical at'), default_value=85, unit=_('%')),
                 ])),
        ],
    )


rulespec_registry.register(
    CheckParameterRulespecWithoutItem(
        check_group_name='checkpoint_eva_db',
        group=RulespecGroupCheckParametersNetworking,
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_checkpoint_eva_db,
        title=lambda: _('Check Point Eventia Database'),
    ))
